%define release	13

Name:		pngnq
Summary:	Pngnq is a tool for quantizing PNG images in RGBA format
Version:	1.1
Release:	%mkrel %{release}
License:	BSD with advertising and MIT and BSD
Group:		Graphics/Editors and Converters
URL:		https://pngnq.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		pngnq-libpng15.patch
Patch1:		pngnq-c99.patch
Patch2:		pngnq-gcc14.patch
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)

%description
Pngnq is a tool for quantizing PNG images in RGBA format.

The neuquant algorithm uses a neural network to optimize the color
map selection. This is fast and quite accurate, giving good results
on many types of images.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc README COPYING ChangeLog NEWS
%{_bindir}/*
%{_mandir}/man1/%{name}.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.1-13.mga10
+ Revision: 2228548
- Mageia 10 Mass Rebuild

* Fri Oct 04 2024 ns80 <ns80> 1.1-12.mga10
+ Revision: 2103256
- add patches from Fedora to fix building with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 1.1-11.mga9
+ Revision: 1796717
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1-10.mga8
+ Revision: 1516018
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1-9.mga7
+ Revision: 1300327
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sat Feb 06 2016 umeabot <umeabot> 1.1-8.mga6
+ Revision: 941578
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 739412
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 687692
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-5.mga4
+ Revision: 526191
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.1-4.mga4
+ Revision: 436039
- rebuild for new libpng

* Thu Jan 24 2013 fwang <fwang> 1.1-3.mga3
+ Revision: 391900
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 19 2011 fwang <fwang> 1.1-2.mga2
+ Revision: 145369
- fix build with latest libpng15
+ wally <wally>
- imported package pngnq


* Sat Jun 25 2011 Jani Välimaa <wally@mandriva.org> 1.1-1mdv2011.0
+ Revision: 687086
- new version 1.1

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdv2011.0
+ Revision: 614593
- the mass rebuild of 2010.1 packages

* Mon Mar 29 2010 Jani Välimaa <wally@mandriva.org> 1.0-1mdv2010.1
+ Revision: 528802
- initial Mandriva release (by Arthur Clement)


* Wed Mar 17 2010 - Arthur Clement <clement.arthur@gmail.com> - 1.0-1
- Initial package.
- Spec from fedora, a few changes.
